<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "wp";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}


// Put Categories into an array (for use in various dropdown menus)
$categories_list = get_categories('hide_empty=0&orderby=name');
$getcat = array();

	foreach($categories_list as $acategory)
	{
		$getcat[$acategory->cat_ID] = $acategory->cat_name;
	}
	
$category_dropdown = array_unshift($getcat, "Choose a category:");


// Put Pages into an array (for use in dropdown for Theme Options)
$pages_list = get_pages();
$getpag = array();

	foreach($pages_list as $apage)
	{
		$getpag[$apage->ID] = $apage->post_title;
	}
	
array_unshift($getpag, "Select a page:");





//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();

$options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
												
$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Favicon Image",
	"desc" => "Full URL to your favicon image. Tip: Easy site to create favicon image: http://www.favicon.cc/ ",
	"id" => $shortname."_favicon",
	"type" => "upload",
	"std" => "");

$options[] = array( "name" => "Home Image",
					"desc" => "Upload the home page image.",
					"id" => $shortname."_hm",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Optin Bottom Image",
					"desc" => "Upload the image.",
					"id" => $shortname."_oi",
					"std" => "",
					"type" => "upload");
					

						
$options[] = array( "name" => "Call Today Text",
	"desc" => "Call Today Text",
	"id" => $shortname."_calltoday",
	"type" => "text",
	"std" => "");
			
		
$options[] = array( "name" => "phone",
	"desc" => "Phone number",
	"id" => $shortname."_phone",
	"type" => "text",
	"std" => "");
	
$options[] = array( "name" => "Email Address",
	"desc" => "Email Address Need for All Contact Forms",
	"id" => $shortname."_emailaddress",
	"type" => "text",
	"std" => "");	
	
$options[] = array( "name" => "Address",
	"desc" => "Your Address Here",
	"id" => $shortname."_address",
	"type" => "text",
	"std" => "");	

$options[] = array( "name" => "City",
	"desc" => "Your City Here",
	"id" => $shortname."_city",
	"type" => "text",
	"std" => "");
	
$options[] = array( "name" => "State",
	"desc" => "Your State Here",
	"id" => $shortname."_state",
	"type" => "text",
	"std" => "");				

$options[] = array( "name" => "Zip Code",
	"desc" => "Your Zip Code Here",
	"id" => $shortname."_zip",
	"type" => "text",
	"std" => "");

$options[] = array( "name" => "Color Skin ",
	"desc" => " Show color of theme",
	"id" => $shortname."_color",
	"type" => "select",
	"options" => array("Red", "Orange","Light Green"),
	"std" => "Red");

$options[] = array( "name" => "Form Settings",
					"type" => "heading"); 

$options[] = array( "name" => "Form Title",
	"desc" => "Form title here",
	"id" => $shortname."_title_form",
	"type" => "text");	

$options[] = array( "name" => "Form Content",
	"desc" => "Form content here",
	"id" => $shortname."_content_form",
	"type" => "textarea");

$options[] = array( "name" => "Home Settings",
					"type" => "heading"); 

$options[] = array( "name" => "Box Title 1",
	"desc" => "Form title here",
	"id" => $shortname."_title_box1",
	"type" => "text");	

$options[] = array( "name" => "Box Content 1",
	"desc" => "Form content here",
	"id" => $shortname."_content_box1",
	"type" => "textarea");

$options[] = array( "name" => "Box Title 2",
	"desc" => "Form title here",
	"id" => $shortname."_title_box2",
	"type" => "text");	

$options[] = array( "name" => "Box Content 2",
	"desc" => "Form content here",
	"id" => $shortname."_content_box2",
	"type" => "textarea");

$options[] = array( "name" => "Box Title 3",
	"desc" => "Form title here",
	"id" => $shortname."_title_box3",
	"type" => "text");	

$options[] = array( "name" => "Box Content 3",
	"desc" => "Form content here",
	"id" => $shortname."_content_box3",
	"type" => "textarea");


$options[] = array( "name" => "Social Networking",
					"type" => "heading"); 


$options[] = array( "name" => "Facebook Page URL",
	"desc" => " your Facebook page URL here",
	"id" => $shortname."_facebookurl",
	"type" => "text",
	"std" => "");

$options[] = array( "name" => "Show Facebook Icon ",
	"desc" => " Show Facebook Icon or not",
	"id" => $shortname."_facebookshow",
	"type" => "select",
	"options" => array("Show", "Hide"),
	"std" => "Show");


$options[] = array( "name" => "Twitter page Url",
	"desc" => "Your Twitter page URL here",
	"id" => $shortname."_twitterurl",
	"type" => "text",
	"std" => "");
$options[] = array( "name" => "Show Twitter Icon ",
	"desc" => " Show Twitter Icon or not",
	"id" => $shortname."_tweeerkshow",
	"type" => "select",
	"options" => array("Show", "Hide"),
	"std" => "Show");
	
$options[] = array( "name" => "YouTub URL",
	"desc" => "Your YouTub URL here",
	"id" => $shortname."_youtuburl",
	"type" => "text",
	"std" => "");
	
$options[] = array( "name" => "Show YouTub Icon ",
	"desc" => " Show YouTub Icon or not",
	"id" => $shortname."_youtubkshow",
	"type" => "select",
	"options" => array("Show", "Hide"),
	"std" => "Show");
	
$options[] = array( "name" => "RSS URL",
	"desc" => "Your RRS feed URL here",
	"id" => $shortname."_rssurl",
	"type" => "text",
	"std" => "");
$options[] = array( "name" => "Show RSS Icon ",
	"desc" => " Show RSS Icon or not",
	"id" => $shortname."_rsskshow",
	"type" => "select",
	"options" => array("Show", "Hide"),
	"std" => "Show");
	
$options[] = array( "name" => "Google Plus URL",
	"desc" => "Google Plus URL here",
	"id" => $shortname."_google_plus",
	"type" => "text",
	"std" => "");
$options[] = array( "name" => "Show Google Plus Icon ",
	"desc" => " Show Google Plus Icon or not",
	"id" => $shortname."_googlehow",
	"type" => "select",
	"options" => array("Show", "Hide"),
	"std" => "Show");
	
	
					
		
update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}

?>
